### Constructor

# Gom Filter new_or_full

#### Declaration [src]

    GomFilter*
    gom_filter_new_or_full (
      GomFilter* first,
      ...
    )

#### Description [src]

Creates a new filter that requires either of the filters passed as arguments equate to `TRUE`.

This constructor is not directly available to language bindings.

#### Parameters

`first`

  Type: `GomFilter`

  A `GomFilter`.

  The data is owned by the caller of the function.

`...`

  Type: ``

  A `NULL`-terminated list of `GomFilter`.

#### Return value

Type: `GomFilter`

A `GomFilter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.